#ifndef EVENTLOGGER_H
#define EVENTLOGGER_H

#include <QObject>
#include <QPlainTextEdit>

class EventLogger : public QObject
{
    Q_OBJECT

public:
    static EventLogger& getInstance();
    void setTextEdit(QPlainTextEdit* textEdit);
    void logEvent(const QString& eventDescription);

private:
    explicit EventLogger(QObject* parent = nullptr);
    ~EventLogger();
    EventLogger(const EventLogger&) = delete;
    EventLogger& operator=(const EventLogger&) = delete;

    static EventLogger* instance;
    QPlainTextEdit* textEdit;
};

#endif // EVENTLOGGER_H
